Get Google App List Results by id

 
This endpoint will provide you with a list of applications published in the top charts on the Google Play platform, including app IDs, ratings, prices, titles, and more. The results are specific to the app_collection as well as the location and language parameters specified in the POST request.

We emulate set parameters with the highest accuracy so that the results you receive will match the actual search results for the specified parameters at the time of task setting. You can always check the returned results accessing the check_url in the Incognito mode to make sure the received data is entirely relevant. Note that user preferences, search history, and other personalized search factors are ignored by our system and thus would not be reflected in the returned results.

checked GET
Pricing

Your account will be charged only for setting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/app_data/google/app_list/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Google App List Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        keywordstring

app collection received in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        se_results_countinteger

the total number of results

        items_countinteger

the number of app items in the results array
you can get more results by using the depth parameter when setting a task

        itemsarray

found apps

            typestring

the result's type
possible result types: "google_play_search_organic"

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank among all the listed apps
absolute position among all apps on the list

            positionstring

the alignment of the app in SERP
can take the following values: left

            app_idstring

ID of the app

            titlestring

title of the app

            urlstring

URL to the app page on Google Play

            iconstring

URL to the app icon

            reviews_countinteger

the total number of reviews the app has

            ratingobject

average rating of the app

                rating_typestring

the type of the rating
can take the following values: Max5

                valuefloat

the value of the rating

                votes_countinteger

the amount of feedback
in this case, the value will be null

                rating_maxinteger

the maximum value for a rating_type
the maximum value for Max5 is 5

            is_freeboolean

indicates whether the app is free

            priceobject

price of the app

                currentfloat

current price
refers to the current price indicated in the element

                regularfloat

regular price
refers to the regular price indicated in the element

                max_valuefloat

the maximum price
refers to the maximum price indicated in the element

                currencystring

currency of the listed price
ISO code of the currency applied to the price

                is_price_rangeboolean

price is provided as a range
indicates whether a price is provided in a range

                displayed_pricestring

price string in the result
raw price string as provided in the result

            developerstring

name of the developer

            developer_urlstring

URL to the developer page on Google Play


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="04011058-0696-0199-0000-2196151a15cb" 
curl --location --request GET "https://api.dataforseo.com/v3/app_data/google/app_list/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/app_data/google/app_list/tasks_ready
	$tasks_ready = $client->get('/v3/app_data/google/app_list/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/app_data/google/app_list/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/app_data/google/app_list/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/app_data/google/app_list/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/app_data/google/app_list/task_get/advanced' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# get the task results by id
# GET /v3/app_data/google/app_list/task_get/advanced/$id
id = "06141103-2692-0309-1000-980b778b6d25"
response = client.get("/v3/app_data/google/app_list/task_get/advanced/" + id)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task app_data_google_app_list_task_get_by_id()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // get the task results by id
            // GET /v3/app_data/google/app_list/task_get/advanced/$id
            // use the task identifier that you recieved upon setting a task
            string id = "06141103-2692-0309-1000-980b778b6d25";
            var taskGetResponse = await httpClient.GetAsync("/v3/app_data/google/app_list/task_get/advanced/" + id);
            var result = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
            if (result.tasks != null)
            {
                var fst = result.tasks.First;
                // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                if (fst.status_code >= 40000 || fst.result == null)
                    Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                else
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, fst));
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20220428",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0431 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "05131148-2806-0422-0000-49981232cfdb",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0238 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "app_data",
        "google",
        "app_list",
        "task_get",
        "advanced",
        "05131148-2806-0422-0000-49981232cfdb"
      ],
      "data": {
        "se_type": "app_list",
        "se": "google",
        "api": "app_data",
        "function": "app_list",
        "app_collection": "topselling_free",
        "location_code": 2840,
        "language_code": "en",
        "depth": 100,
        "app_category": "shopping",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "topselling_free",
          "se_domain": "play.google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://play.google.com/store/apps/collection/cluster?clp=0g4gCh4KGHRvcHNlbGxpbmdfZnJlZV9TSE9QUElORxAHGAM%3D:S:ANO1ljIm-qs&gsr=CiPSDiAKHgoYdG9wc2VsbGluZ19mcmVlX1NIT1BQSU5HEAcYAw%3D%3D:S:ANO1ljIc-1Q&hl=en&gl=us",
          "datetime": "2022-05-13 08:48:48 +00:00",
          "se_results_count": 0,
          "items_count": 100,
          "items": [
            {
              "type": "google_play_search_organic",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "app_id": "com.alibaba.intl.android.apps.poseidon",
              "title": "Alibaba.com - B2B marketplace",
              "url": "https://play.google.com/store/apps/details?id=com.alibaba.intl.android.apps.poseidon",
              "icon": "https://play-lh.googleusercontent.com/D09AsmYSxDpMWRSXbu54j2R_8sR-1OgbV2DXSI9_HIuY2IMZ8b8JgscWol6mikknaks",
              "reviews_count": null,
              "rating": {
                "rating_type": "Max5",
                "value": 4.5003276,
                "votes_count": null,
                "rating_max": 5
              },
              "is_free": true,
              "price": {
                "current": 0,
                "regular": null,
                "max_value": null,
                "currency": null,
                "is_price_range": false,
                "displayed_price": null
              },
              "developer": "Alibaba Mobile",
              "developer_url": "https://play.google.com/store/apps/developer?id=Alibaba+Mobile"
            },
            {
              "type": "google_play_search_organic",
              "rank_group": 2,
              "rank_absolute": 2,
              "position": "left",
              "app_id": "com.zzkko",
              "title": "SHEIN-Fashion Shopping Online",
              "url": "https://play.google.com/store/apps/details?id=com.zzkko",
              "icon": "https://play-lh.googleusercontent.com/99kIOo2NkDRAwBGQRfcq8-RP9x4PRKSxXlhiK519nxKF5ikbKhXdtgUrRI3UaSPTSwo",
              "reviews_count": null,
              "rating": {
                "rating_type": "Max5",
                "value": 4.7535815,
                "votes_count": null,
                "rating_max": 5
              },
              "is_free": true,
              "price": {
                "current": 0,
                "regular": null,
                "max_value": null,
                "currency": null,
                "is_price_range": false,
                "displayed_price": null
              },
              "developer": "Shein Group Ltd",
              "developer_url": "https://play.google.com/store/apps/developer?id=Shein+Group+Ltd"
            },
            {
              "type": "google_play_search_organic",
              "rank_group": 3,
              "rank_absolute": 3,
              "position": "left",
              "app_id": "com.amazon.mShop.android.shopping",
              "title": "Amazon Shopping",
              "url": "https://play.google.com/store/apps/details?id=com.amazon.mShop.android.shopping",
              "icon": "https://play-lh.googleusercontent.com/QPKtPRTJyhrYoPqYmjP81aCeYAQrH7ocIC25Tw8spEoKsX7eY0cqXMJp4QfkIq2bSg",
              "reviews_count": null,
              "rating": {
                "rating_type": "Max5",
                "value": 4.6492195,
                "votes_count": null,
                "rating_max": 5
              },
              "is_free": true,
              "price": {
                "current": 0,
                "regular": null,
                "max_value": null,
                "currency": null,
                "is_price_range": false,
                "displayed_price": null
              },
              "developer": "Amazon Mobile LLC",
              "developer_url": "https://play.google.com/store/apps/developer?id=Amazon+Mobile+LLC"
            },
            {
              "type": "google_play_search_organic",
              "rank_group": 4,
              "rank_absolute": 4,
              "position": "left",
              "app_id": "com.walmart.android",
              "title": "Walmart Shopping & Grocery",
              "url": "https://play.google.com/store/apps/details?id=com.walmart.android",
              "icon": "https://play-lh.googleusercontent.com/nckECUuaqv8rJllZ3CIvOJxxBnqe0TISPy_X-9B3U8nM4rst1Nr0eixKZlXW5fKyiTsf",
              "reviews_count": null,
              "rating": {
                "rating_type": "Max5",
                "value": 4.675136,
                "votes_count": null,
                "rating_max": 5
              },
              "is_free": true,
              "price": {
                "current": 0,
                "regular": null,
                "max_value": null,
                "currency": null,
                "is_price_range": false,
                "displayed_price": null
              },
              "developer": "Walmart",
              "developer_url": "https://play.google.com/store/apps/developer?id=Walmart"
            },
            {
              "type": "google_play_search_organic",
              "rank_group": 5,
              "rank_absolute": 5,
              "position": "left",
              "app_id": "com.shopify.arrive",
              "title": "Shop: package & order tracker",
              "url": "https://play.google.com/store/apps/details?id=com.shopify.arrive",
              "icon": "https://play-lh.googleusercontent.com/fHr2pe1B7n_dvrFX3e-P-BFrsiMJ-nPh4_wn4Yj2vwlINS_Lb4CwK8qKGK8upu5to-RK",
              "reviews_count": null,
              "rating": {
                "rating_type": "Max5",
                "value": 4.7765718,
                "votes_count": null,
                "rating_max": 5
              },
              "is_free": true,
              "price": {
                "current": 0,
                "regular": null,
                "max_value": null,
                "currency": null,
                "is_price_range": false,
                "displayed_price": null
              },
              "developer": "Shopify Inc.",
              "developer_url": "https://play.google.com/store/apps/dev?id=8929232438554100687"
            }
          ]
        }
      ]
    }
  ]
}